// file: isip_recognize.h
//
// this is the header file for the isip_recognize utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_RECOGNIZE
#define ISIP_UTIL_RECOGNIZE

// isip include files
//
#include <CommandLine.h>
#include <SpeechRecognizer.h>

static const String PROG_NAME(L"isip_recognize");
static const String OPTION_LANGUAGE_MODEL_FILE(L"lm_file");
static const String OPTION_STATISTICAL_MODEL_POOL_FILE(L"smp_file");
static const String OPTION_LANGUAGE_MODEL_OUTPUT_FILE(L"lm_output_file");
static const String OPTION_STATISTICAL_MODEL_POOL_OUTPUT_FILE(L"smp_output_file");
static const String OPTION_ACCUMULATOR_FILE(L"accumulator_file");
static const String OPTION_ACCUMULATOR_LIST(L"accumulator_list");
static const String OPTION_PARAMS_FILE(L"parameter_file");
static const String OPTION_MODE_SWITCH(L"mode");
static const String OPTION_OUTPUT_MODE(L"output_mode");
static const String OPTION_FUNCTION_MODE(L"function_mode");
static const String OPTION_OUTPUT_FORMAT(L"output_format");
static const String OPTION_OUTPUT_FILE(L"output_file");
static const String OPTION_OUTPUT_LIST(L"output_list");
static const String OPTION_OUTPUT_LEVEL(L"output_level");
static const String OPTION_UPDATE_LEVEL(L"update_level");
static const String OPTION_DECISION_TREE_FILE(L"dt_file");
static const String OPTION_QUESTION_ANSWER_FILE(L"qa_file");
static const String OPTION_MERGE_THRESHOLD(L"merge_threshold");
static const String OPTION_SPLIT_THRESHOLD(L"split_threshold");
static const String OPTION_OCC_THRESHOLD(L"occ_threshold");
static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_LOG_FILE(L"log_file");
static const String OPTION_FLAG_VERIFY(L"verify");
static const String OPTION_FLAG_STREAM(L"stream");
static const String OPTION_OUTPUT_BASE_NAME(L"base");
static const String OPTION_ACCUMULATOR_PATH(L"accumulator_path");
static const String OPTION_ACCUMULATOR_NAME(L"accumulator_name");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");
static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;
static const Integral::DEBUG VERBOSITY_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif


